Page Summary
-
This API method lists guaranteed orders accessible to the current user.
-
Guaranteed orders can be ordered by the
orderByparameter and filtered by fields likeguaranteedOrderId,exchange,displayName, andstatus.entityStatususing thefilterparameter. -
The HTTP request uses a GET method to the specified Google API endpoint.
-
The request body must be empty, and the response body contains a list of guaranteed order objects and a token for pagination.
-
The request requires the
https://www.googleapis.com/auth/display-videoOAuth scope for authorization.
Lists guaranteed orders that are accessible to the current user.
The order is defined by the orderBy parameter. If a filter by entityStatus is not specified, guaranteed orders with entity status ENTITY_STATUS_ARCHIVED will not be included in the results.
HTTP request
GET https://displayvideo.googleapis.com/v4/guaranteedOrders
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. For example, |
filter |
Allows filtering by guaranteed order fields.
Supported fields: * Examples:
The length of this field should be no more than 500 characters. Reference our filter |
Required. Identifies which DV360 entity the request is being made within. The LIST request will only return guaranteed order entities that are accessible to the DV360 entity identified within the |
|
partnerId |
The ID of the partner that has access to the guaranteed order. |
advertiserId |
The ID of the advertiser that has access to the guaranteed order. |
| End of mutually exclusive fields. | |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"guaranteedOrders": [
{
object ( |
| Fields | |
|---|---|
guaranteedOrders[] |
The list of guaranteed orders. This list will be absent if empty. |
nextPageToken |
A token to retrieve the next page of results. Pass this value in the |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.